using System;
using System.IO;
using System.Xml;
using Microsoft.RuleEngine;

namespace RuleStress
{
	/// <summary>
	/// Summary description for Worker.
	/// </summary>
	public class Worker
	{

		private static RuleSet rs=new RuleSet("Zmeny kontaktnch daju");

		private XmlNode _doc;
		public Worker(XmlNode doc)
		{
			_doc=doc;
		}

		public void DoWork(object o)
		{
			Microsoft.RuleEngine.RuleEngine engine = new Microsoft.RuleEngine.RuleEngine(rs,true);
			TypedXmlDocument doc1 = new TypedXmlDocument("BrozuraBTS.Cviceni4.schKontaktniUdajeFakta",_doc);
			object[] fakta = new object[1];
			fakta[0] = doc1;
			engine.Assert(fakta);
			engine.Execute();
			((ThreadSafeCounter)o).Increment();
		}

	}
}
