using System;
using System.Threading;
using System.Xml;

namespace RuleStress
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class Class1
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			XmlDocument[] docs=new XmlDocument[3];
			for(int i=0;i<3;i++)
			{
				docs[i]=new XmlDocument();
				docs[i].Load(@"..\..\Test"+(i+1).ToString()+".xml");
			}

			int nPocetProvedeni=int.Parse(System.Configuration.ConfigurationSettings.AppSettings["Pocet"]);
			ThreadSafeCounter c=new ThreadSafeCounter();
			for(int i=0;i<nPocetProvedeni/3;i++)
				for(int j=0;j<3;j++)
				{
					Worker w=new Worker(docs[j].Clone());
					ThreadPool.QueueUserWorkItem(new WaitCallback(w.DoWork),c);
				}
			Console.WriteLine("Press Enter to Exit");
			Console.ReadLine();
		}
	}
}
