using System;
using System.IO;

namespace WSClientStress
{
	/// <summary>
	/// Summary description for Worker.
	/// </summary>
	public class Worker
	{
		private readonly TypPrubehuZadosti _typ;
		public Worker(TypPrubehuZadosti typ)
		{
			_typ=typ;
		}

		private static Random rand=new Random();

		private ThreadSafeCounter tsf;

		public void DoWork(object o)
		{
			BTS.KontaktniUdaje ku=new BTS.KontaktniUdaje();
			ku.CasovaZnamka=DateTime.Now;
			ku.Jmeno=new BTS.KontaktniUdajeJmeno();
			ku.Jmeno.Krestni="Krestni";
			ku.Jmeno.Prijmeni="Prijmeni";
			ku.Kategorie="A";
			int rc=0;
			switch(_typ)
			{
				case TypPrubehuZadosti.AutomatickyZamitnuta:
					rc=rand.Next(1000)+1;
					break;
				case TypPrubehuZadosti.ManualniRozhodnuti: 
					rc=rand.Next(1000)+1001;
					break;
				case TypPrubehuZadosti.AutomatickySchvalena:
					rc=rand.Next(int.MaxValue-2001)+2001;
					break;
			}
			string s="0000000000000"+rc.ToString();
			ku.RodneCislo=s.Substring(s.Length-10);
			ku.Telefony=new BTS.KontaktniUdajeTelefon[2];
			ku.Telefony[0]=new BTS.KontaktniUdajeTelefon();
			ku.Telefony[0].Typ="Typ0";
			ku.Telefony[0].Predvolba="123";
			ku.Telefony[0].Cislo="123456789";
			ku.Telefony[1]=new BTS.KontaktniUdajeTelefon();
			ku.Telefony[1].Typ="Typ1";
			ku.Telefony[1].Predvolba="123";
			ku.Telefony[1].Cislo="123456789";

			AsyncCallback ac=new AsyncCallback(this.Hotovo);
			tsf=(ThreadSafeCounter) o;
			new BTS.BrozuraBTS_Cviceni4_orcZapisKontaktnichUdaju_prtKontaktniUdajeReceive().BeginZapis(ku,ac,null);
		}

		private void Hotovo(IAsyncResult iar)
		{
			tsf.Increment();
		}
	}

	public enum TypPrubehuZadosti
	{
		AutomatickySchvalena,
		AutomatickyZamitnuta,
		ManualniRozhodnuti
	}
}
